package roseindia.net;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

public class SessionTimeout extends HttpServlet {
	public void doGet(HttpServletRequest request, HttpServletResponse response)
			throws IOException, ServletException {
		PrintWriter out = response.getWriter();
		response.setContentType("text/html");
		String name = request.getParameter("userName");
		if (name.equalsIgnoreCase("web")) {
			out.println("<Center><h3>");
			out.println("Creating A New Session...........");
			out.println("</h3></Center>");
			HttpSession session = request.getSession(true);
			
			//Setting Session Inactive Time Out
			session.setMaxInactiveInterval(20);
			
			session.setAttribute("loggedUser", name);
			out.println("<Center><h3>");
			out.println("Session Created");
			out.println("<br>Session Id - ");
			out.println(session.getId());
			out.println("<a href=\"http://localhost:8080/sessiontimeout/check\">Check Time Out</a>");
			out.println("</h3></Center>");
		} else {
			out.println("<h1>");
			out.println("Please enter the name \"web\"");
			out.println("<h1>");
		}
	}

	public void doPost(HttpServletRequest request, HttpServletResponse response)
			throws IOException, ServletException {
		doGet(request, response);
	}
}